package com.bonus.canteen.core.menu.vo;

import cn.hutool.core.util.ObjectUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.common.utils.SysUtil;

import java.util.List;

@ApiModel("菜品详情")
public class AppletWeekRecipeDishesVO {
   @ApiModelProperty("菜品id")
   private Long baseDishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品图片")
   private String dishesImgUrl;
   @ApiModelProperty("菜谱详情id")
   private Long detailId;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("大小份详情")
   private List<AppletCurrentDishesDetailVO> dishesDetailList;

   public String getDishesImgUrl() {
      return ObjectUtil.isNotEmpty(this.dishesImgUrl) ? SysUtil.getCutFileUrl(this.dishesImgUrl.split(",")[0]) : this.dishesImgUrl;
   }

   public Long getBaseDishesId() {
      return this.baseDishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public List<AppletCurrentDishesDetailVO> getDishesDetailList() {
      return this.dishesDetailList;
   }

   public void setBaseDishesId(final Long baseDishesId) {
      this.baseDishesId = baseDishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setDishesImgUrl(final String dishesImgUrl) {
      this.dishesImgUrl = dishesImgUrl;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setDishesDetailList(final List<AppletCurrentDishesDetailVO> dishesDetailList) {
      this.dishesDetailList = dishesDetailList;
   }
}
